---
updatedAt: 2026-08-27T13:52:09.000Z
agentTools:
  projectIndex: https://docs.youlend.com/llms.txt
---

# Calculate loan offers.

For a lead that has already received fixed offers, use this endpoint to calculate flexible offers. These offers are returned in the 200 response.

The `amount` parameter in the request body must sit within the `MinFundingAmount` and `MaxFundingAmount` returned in the [Offers Provided webhook](https://docs.youlend.com/reference/webhooks-events#offers-provided).

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Onboarding",
    "description": "Through this API you can can initiate the process of onboarding a borrower with YouLend",
    "contact": {
      "name": "Mark Ufland",
      "email": "mark.ufland@youlend.com"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://partners.staging-youlendapi.com/onboarding"
    }
  ],
  "paths": {
    "/Leads/{leadId}/calculateoffers": {
      "post": {
        "tags": [
          "Offers and Signing"
        ],
        "summary": "Calculate loan offers.",
        "parameters": [
          {
            "name": "leadId",
            "in": "path",
            "description": "The lead id.",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "api-version",
            "in": "header",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Model containing amount to calculate offers.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CalculateOffersModel"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/CalculateOffersModel"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/CalculateOffersModel"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FlexOffersModel"
                }
              },
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/FlexOffersModel"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "CalculateOffersModel": {
        "type": "object",
        "properties": {
          "amount": {
            "type": "integer",
            "description": "Gets or sets the Amount.",
            "format": "int32"
          }
        },
        "additionalProperties": false,
        "description": "Model containing amount to calculate offers."
      },
      "FlexLoanOfferDetails": {
        "type": "object",
        "properties": {
          "offerId": {
            "type": "string",
            "format": "uuid"
          },
          "youWillGet": {
            "type": "number",
            "format": "double"
          },
          "youWillRepay": {
            "type": "number",
            "format": "double"
          },
          "sweep": {
            "type": "number",
            "format": "double"
          },
          "daysUntilRepayment": {
            "type": "integer",
            "format": "int32"
          },
          "currencyISOCode": {
            "type": "string",
            "nullable": true
          },
          "repaymentMethod": {
            "type": "string",
            "nullable": true
          },
          "repaymentFrequency": {
            "type": "string",
            "nullable": true
          },
          "expectedRepayment": {
            "type": "number",
            "format": "double"
          }
        },
        "additionalProperties": false
      },
      "FlexOffersModel": {
        "type": "object",
        "properties": {
          "leadId": {
            "type": "string",
            "description": "Gets or sets LeadId.",
            "format": "uuid"
          },
          "providedOffers": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/FlexLoanOfferDetails"
            },
            "description": "Gets or sets the list of provided offers.",
            "nullable": true
          },
          "errorMessage": {
            "type": "string",
            "description": "Gets or sets the error message.",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Model containing details about calculated offers."
      },
      "ProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": {}
      }
    },
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://youlend-stag.eu.auth0.com/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "tags": [
    {
      "name": "Offers and Signing"
    }
  ]
}
```